Description

Hi everyone,

Redmine's query interface is great, but sometimes there are queries that aren't possible using just the query builder. It would be cool

if one had the option of either using the query builder or typing in SQL manually. The custom query would have to return only the set

of issue IDs, which Redmine could then use to fetch all additional information it needs to properly display the result set in the usual

way.

It would probably be possible to support the regular query builder on top of the custom query. For example, the custom query is used

internally to create a view, and then the query builder is applied to the view, rather than the issues table.

Just a thought. It would certainly add a lot of flexibility for power-users, and they wouldn't have to constantly pester you for specific

filter-related features.

Related issues:

Related to Redmine - Feature #27875: SQL custom query Closed

Has duplicate Redmine - Feature #21783: Custom reports from SQL query Closed

History

#1 - 2010-10-06 07:54 - Bob Bottle

+1

#2 - 2011-05-04 11:07 - Chris Magowan

that ould be great!

i have just implemented redmine in my project, but relaised that we cannot easily make custom reports. for instance, we would like a report that brings

up all calls that were closed in teh past month. currently this is not possible (as far as i can see!).

#3 - 2011-08-09 22:24 - Alan Trick

I've written a plugin that provides this functionality. It's not great but it works: https://github.com/alantrick/redmine_sql_reports

#4 - 2012-02-21 14:10 - Dietrich Streifert

Alan Trick wrote:

I've written a plugin that provides this functionality. It's not great but it works: https://github.com/alantrick/redmine_sql_reports

 Hi Alan! Any hints on how to use the plugin? I've failed with a simple sql query with the error message "wrong number of arguments (1 for 2)".

#5 - 2012-09-11 11:13 - txemi M

+1

I would love this plugin in mainstream.

I frequently need queries that cannot be done from UI.

#6 - 2024-01-28 13:44 - Go MAEDA

- Has duplicate Feature #21783: Custom reports from SQL query added

#7 - 2024-01-28 13:45 - Go MAEDA
https://github.com/alantrick/redmine_sql_reports
https://github.com/alantrick/redmine_sql_reports


- Related to Feature #27875: SQL custom query added

#8 - 2024-01-28 14:05 - Go MAEDA

- Category changed from Search engine to Issues

I think Redmine should not include this feature because allowing SQL execution may lead to security issues. For example, a user might be able to

view any issues using SQL, even if they do not have permission to see those issues in Redmine.
